Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# ibbna

## Name

ibbna -- change access board (device)

## Synopsis

    #include <gpib/ib.h>

``int ibbna`(int ud, const char *name);`

## Description

ibbna() changes the GPIB interface board used to access the device specified by `ud`. Subsequent device level calls using the descriptor `ud` will assume the device is connected to the interface board specified by `name`. If you wish to specify a device's new access board by board index instead of name, you can use the IbcBNA option of ibconfig().

The name of a board can be specified in the configuration file gpib.conf.

On success, iberr is set to the board index of the device's old access board.

## Return value

The value of ibsta is returned.

Prev | Home | Next
ibask | Up | ibcac